Extending Qt Creator Manual | WorkingDirectoryAspect

Extending Qt Creator Manual 4.5.2

# WorkingDirectoryAspect Class

(ProjectExplorer::WorkingDirectoryAspect)

Header: | #include <WorkingDirectoryAspect>
Inherits: | ProjectExplorer::IRunConfigurationAspect

- List of all members, including inherited members

## Public Functions

| WorkingDirectoryAspect(RunConfiguration *runConfig, const QString &settingsKey)
void | addToMainConfigurationWidget(QWidget *parent, QFormLayout *layout)
Utils::FileName | defaultWorkingDirectory() const
Utils::PathChooser * | pathChooser() const
void | setDefaultWorkingDirectory(const Utils::FileName &defaultWorkingDir)
Utils::FileName | unexpandedWorkingDirectory() const
Utils::FileName | workingDirectory() const

- 18 public functions inherited from ProjectExplorer::IRunConfigurationAspect

### Additional Inherited Members

- 2 protected functions inherited from ProjectExplorer::IRunConfigurationAspect

## Detailed Description

## Member Function Documentation

### WorkingDirectoryAspect::WorkingDirectoryAspect(RunConfiguration *runConfig, const QString &settingsKey)

Default constructs an instance of WorkingDirectoryAspect.

### void WorkingDirectoryAspect::addToMainConfigurationWidget(QWidget *parent, QFormLayout *layout)

### Utils::FileName WorkingDirectoryAspect::defaultWorkingDirectory() const

See also setDefaultWorkingDirectory().

### Utils::PathChooser *WorkingDirectoryAspect::pathChooser() const

### void WorkingDirectoryAspect::setDefaultWorkingDirectory(const Utils::FileName &defaultWorkingDir)

See also defaultWorkingDirectory().

### Utils::FileName WorkingDirectoryAspect::unexpandedWorkingDirectory() const

### Utils::FileName WorkingDirectoryAspect::workingDirectory() const